#
# spec file for package perl-Log-Dispatch-Array
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Log-Dispatch-Array
Name:           perl-Log-Dispatch-Array
Version:        1.005
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Log events to an array (reference)
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(Log::Dispatch::Output)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(Log::Dispatch::Output)
Requires:       perl(parent)
%{perl_requires}

%description
This provides a Log::Dispatch log output system that appends logged events
to an array reference. This is probably only useful for testing the logging
of your code.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan  2 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.005
  see /usr/share/doc/packages/perl-Log-Dispatch-Array/Changes
  1.005     2022-12-31 21:24:20-05:00 America/New_York
  - v1.004 was a little broken, so now this time *really*:
  - set a policy for what perls to expect will work
  - as of now, v5.12 is the minimum required perl
  1.004     2022-12-29 19:35:00-05:00 America/New_York
  - update packaging
  - set a policy for what perls to expect will work
  - as of now, v5.12 is the minimum required perl
* Mon Feb 24 2014 coolo@suse.com
- updated to 1.003
  fix github links
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.002
  repackage, update bugtracker
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Fri Nov  5 2010 pascal.bleser@opensuse.org
- initial package (1.001)
